<template>
  <div class="i-wrapper" :class="{ 'i-wrapper__growable': growable }">
    <!-- <span class="i-wrapper__resolution">{{ width }}x{{ height }}</span> -->
    <div class="i-wrapper__content" :class="{ 'justify-content-center': !top }">
      <slot />
    </div>
    <slot name="bottom" />
  </div>
</template>

<script>
  export default {
    props: {
      top: {
        type: Boolean,
        default: false,
      },
      growable: {
        type: Boolean,
        default: true,
      },
    },

    data() {
      return {
        width: 0,
        height: 0,
      };
    },

    mounted() {
      this.updateResolution();
      window.addEventListener('resize', this.updateResolution);
    },

    beforeDestroy() {
      window.removeEventListener('resize', this.updateResolution);
    },

    methods: {
      updateResolution() {
        this.width = window.innerWidth;
        this.height = window.innerHeight;
      },
    },
  };
</script>

<style lang="scss">
  .i-wrapper {
    position: relative;
    min-height: 100%;
    max-width: 480px;
    margin: 0 auto;
    // background: linear-gradient(228.35deg, #ffb15e 1.93%, #fb7474 82.66%);
    color: #575167;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
  }

  .i-wrapper__resolution {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    display: block;
    padding: 1px;
    font-size: 10px;
    line-height: 140%;
  }

  .i-wrapper__content {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .i-wrapper.i-wrapper__growable .i-wrapper__content {
    flex-grow: 1;
  }
</style>
